#!/bin/sh

#Because puppy's network managers expect only one instance of wpa_supplicant, remove the hook, 10-wpa_supplicant, which could initiate additional instances and confuse networking -- unless it already exists in the distro and not a "full" install.
if [ -e initrd/pup_ro2/lib/dhcpcd/dhcpcd-hooks/10-wpa_supplicant -o -e initrd/pup_ro2/usr/libexec/dhcpcd-hooks/10-wpa_supplicant ];then
 #Move hook script for slacko.
 if [ -d usr/libexec/dhcpcd-hooks ] \
   && [ ! -h usr/libexec/dhcpcd-hooks ];then
  mv -f lib/dhcpcd/dhcpcd-hooks/10-wpa_supplicant usr/libexec/dhcpcd-hooks/
  rmdir --ignore-fail-on-non-empty lib/dhcpcd/dhcpcd-hooks
  rmdir --ignore-fail-on-non-empty lib/dhcpcd
  sed -i -e 's%^/lib/dhcpcd/%/usr/libexec/%' \
   -e 's%^/lib/$%/usr/%' \
   root/.packages/dhcpcd-*.files 2>/dev/null
 fi
else
 rm -f lib/dhcpcd/dhcpcd-hooks/10-wpa_supplicant
  sed -i '/^\/lib\/dhcpcd/d' \
   root/.packages/dhcpcd-*.files 2>/dev/null
fi

#Add STOP hook to network_tray hook filters -
# STOP sometimes issued instead of RELEASE in dhcpcd-6.x.
[ -f lib/dhcpcd/dhcpcd-hooks/99-network_tray ] \
 && ! grep -q '|STOP' lib/dhcpcd/dhcpcd-hooks/99-network_tray \
 && sed -i 's/NOCARRIER/&|STOP/' lib/dhcpcd/dhcpcd-hooks/99-network_tray
[ -f lib/dhcpcd/dhcpcd-hooks/99-notify ] \
 && ! grep -q '|STOP' lib/dhcpcd/dhcpcd-hooks/99-notify \
 && sed -i 's/NOCARRIER/&|STOP/' lib/dhcpcd/dhcpcd-hooks/99-notify

[ -f usr/libexec/dhcpcd-hooks/99-network_tray ] \
 && ! grep -q '|STOP' usr/libexec/dhcpcd-hooks/99-network_tray \
 && sed -i 's/NOCARRIER/&|STOP/' usr/libexec/dhcpcd-hooks/99-network_tray
[ -f usr/libexec/dhcpcd-hooks/99-notify ] \
 && ! grep -q '|STOP' usr/libexec/dhcpcd-hooks/99-notify \
 && sed -i 's/NOCARRIER/&|STOP/' usr/libexec/dhcpcd-hooks/99-notify

#Ensure /etc/dhcpcd.conf included but not if already present.
if [ -f etc/dhcpcd.conf ];then
 rm -f etc/dhcpcd.conf.tmp
 sed -i '/^\/etc\/dhcpcd\.conf\.tmp/d' \
  root/.packages/dhcpcd-*.files 2>/dev/null
else
 mv etc/dhcpcd.conf.tmp etc/dhcpcd.conf
 # Respect the network MTU...
 grep -q '^#option interface_mtu' etc/dhcpcd.conf \
  && sed -i '/^#option interface_mtu/ s/^#//' etc/dhcpcd.conf
 sed -i '/^\/etc\/dhcpcd\.conf\.tmp/ s/\.tmp//' \
  root/.packages/dhcpcd-*.files 2>/dev/null 
fi
